import { AutoMap } from '@automapper/classes';

export class Ad {
  @AutoMap()
  uuid: string;

  driver: boolean;
  passenger: boolean;
  frequency: number;
  fromDate: string;
  toDate: string;
  monTime: string;
  tueTime: string;
  wedTime: string;
  thuTime: string;
  friTime: string;
  satTime: string;
  sunTime: string;
  monMargin: number;
  tueMargin: number;
  wedMargin: number;
  thuMargin: number;
  friMargin: number;
  satMargin: number;
  sunMargin: number;
  driverDuration: number;
  driverDistance: number;
  passengerDuration: number;
  passengerDistance: number;
  originType: number;
  destinationType: number;
  waypoints: [];
  direction: string;
  fwdAzimuth: number;
  backAzimuth: number;
  seatsDriver: number;
  seatsPassenger: number;
  seatsUsed: number;
  createdAt: string;
  updatedAt: string;
}
