import { Injectable } from '@nestjs/common';

@Injectable()
export abstract class MessageBroker {
  exchange: string;

  constructor(exchange: string) {
    this.exchange = exchange;
  }

  abstract publish(routingKey: string, message: string): void;
}
