import { MatcherGeodesic } from '../../../../adapters/secondaries/geodesic';

describe('Matcher geodesic', () => {
  it('should be defined', () => {
    const geodesic: MatcherGeodesic = new MatcherGeodesic();
    expect(geodesic).toBeDefined();
  });
  it('should get inverse values', () => {
    const geodesic: MatcherGeodesic = new MatcherGeodesic();
    const inv = geodesic.inverse(0, 0, 1, 1);
    expect(Math.round(inv.azimuth)).toBe(45);
    expect(Math.round(inv.distance)).toBe(156900);
  });
});
